Opened 2 years ago

Closed 2 years ago

#1034 closed Bug (fixed)

Crash report 2020-01-20

Reported by: no-reply@… Owned by:
Priority: Unclassified Milestone: CrypTool 2.1 - Release 2018.3
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 1/20/2020 5:48:21 PM (UTC time).
User message:

-
Exception:
System.Windows.Markup.XamlParseException: Initialization of 'WorkspaceManager.View.Visuals.ComponentVisual' threw an exception. ---> System.InvalidOperationException: Sequence contains no matching element
   at System.Linq.Enumerable.Single[TSource](IEnumerable`1 source, Func`2 predicate)
   at WorkspaceManager.View.Visuals.Slot..ctor(IControlMasterElement element)
   at WorkspaceManager.View.Visuals.IControlVisual.CollectionChangedHandler(Object sender, NotifyCollectionChangedEventArgs e)
   at System.Collections.Specialized.NotifyCollectionChangedEventHandler.Invoke(Object sender, NotifyCollectionChangedEventArgs e)
   at System.Collections.ObjectModel.ObservableCollection`1.OnCollectionChanged(NotifyCollectionChangedEventArgs e)
   at System.Collections.ObjectModel.ObservableCollection`1.InsertItem(Int32 index, T item)
   at WorkspaceManager.View.Visuals.ComponentVisual.initConnectorVisuals(PluginModel model)
   at WorkspaceManager.View.Visuals.ComponentVisual.initializeVisual(PluginModel model)
   at System.Windows.FrameworkElement.TryFireInitialized()
   at MS.Internal.Xaml.Runtime.ClrObjectRuntime.InitializationGuard(XamlType xamlType, Object obj, Boolean begin)
   --- End of inner exception stack trace ---
   at System.Windows.Markup.XamlReader.RewrapException(Exception e, IXamlLineInfo lineInfo, Uri baseUri)
   at System.Windows.Markup.WpfXamlLoader.Load(XamlReader xamlReader, IXamlObjectWriterFactory writerFactory, Boolean skipJournaledProperties, Object rootObject, XamlObjectWriterSettings settings, Uri baseUri)
   at System.Windows.Markup.WpfXamlLoader.LoadBaml(XamlReader xamlReader, Boolean skipJournaledProperties, Object rootObject, XamlAccessLevel accessLevel, Uri baseUri)
   at System.Windows.Markup.XamlReader.LoadBaml(Stream stream, ParserContext parserContext, Object parent, Boolean closeStream)
   at WorkspaceManager.View.Visuals.EditorVisual.AddComponentVisual(PluginModel pluginModel, Int32 mode)
   at WorkspaceManager.View.Visuals.EditorVisual.<>c__DisplayClass129_0.<internalLoad>b__0(Object <p0>)
   at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   at System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   at System.Windows.Threading.DispatcherOperation.InvokeImpl()
   at MS.Internal.CulturePreservingExecutionContext.CallbackWrapper(Object obj)
   at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   at MS.Internal.CulturePreservingExecutionContext.Run(CulturePreservingExecutionContext executionContext, ContextCallback callback, Object state)
   at System.Windows.Threading.DispatcherOperation.Invoke()
   at System.Windows.Threading.Dispatcher.ProcessQueue()
   at System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   at System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   at System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   at MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   at MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   at System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   at System.Windows.Application.RunDispatcher(Object ignore)
   at System.Windows.Application.RunInternal(Window window)
   at Cryptool.CrypWin.App.Main()

-
System infos:
Operating System: Windows 10 Enterprise  (6.3.18362)
Processorname: Intel(R) Xeon(R) CPU E5-2670 v3 @ 2.30GHz
Processors: 2
Administrative Rights: False
Current culture: en-US
CrypTool version: 2.1.8186.5
Installation type: NSIS
Build type: Stable
Build time: 6/24/2019 7:10:48 PM
Product name: CrypTool 2.1 (Stable Build 8186.5)
Common language runtime version: 4.0.30319.42000
System time: 12:48 PM
Command line: "C:\Program Files (x86)\CrypTool 2\CrypWin.exe" 


Change History (1)

comment:1 Changed 2 years ago by kopal

Resolution: fixed
Status: newclosed

already fixed

Note: See TracTickets for help on using tickets.